﻿using System.ServiceModel;

namespace TestServer
{
    /// <summary>
    /// 샘플 서비스
    /// </summary>
    [ServiceContract]
    public interface ISampleService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method

        #region 요청/응답 작업하기 - RequestReplyOperation()

        /// <summary>
        /// 요청/응답 작업하기
        /// </summary>
        /// <returns>메시지</returns>
        [OperationContract(IsOneWay=false)]
        string RequestReplyOperation();

        #endregion
        #region 요청/응답 작업하기 (예외 발생) - RequestReplyOperationThrowsException();

        /// <summary>
        /// 요청/응답 작업하기 (예외 발생)
        /// </summary>
        /// <returns>메시지</returns>
        [OperationContract(IsOneWay = false)]
        string RequestReplyOperationThrowsException();

        #endregion
    }
}