﻿using System;
using System.Threading;

namespace TestServer
{
    /// <summary>
    /// 샘플 서비스
    /// </summary>
    public class SampleService : ISampleService
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 요청/응답 작업하기 - RequestReplyOperation()

        /// <summary>
        /// 요청/응답 작업하기
        /// </summary>
        /// <returns>메시지</returns>
        public string RequestReplyOperation()
        {
            DateTime startTime = DateTime.Now;

            Thread.Sleep(2000);

            DateTime endTime = DateTime.Now;

            return "경과 시간 : " + endTime.Subtract(startTime).Seconds.ToString() + "초";
        }

        #endregion
        #region 요청/응답 작업하기 (예외 발생) - RequestReplyOperationThrowsException()

        /// <summary>
        /// 요청/응답 작업하기 (예외 발생)
        /// </summary>
        /// <returns>메시지</returns>
        public string RequestReplyOperationThrowsException()
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}